## org.apache.myfaces.renderkit.html
Class HtmlTextRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlTextRendererBase

Direct Known Subclasses:
  HtmlTextRenderer

public class HtmlTextRendererBase
extends HtmlRenderer

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: grantsmith $), Manfred Geiler

Constructor Summary
`HtmlTextRendererBase()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`java.lang.Object` `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `renderInput(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected static void` `renderOutput(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static void` `renderOutputText(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String text, boolean escape)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlTextRendererBase

    public HtmlTextRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOutput

    protected static void renderOutput(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOutputText

    public static void renderOutputText(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String text,
                                        boolean escape)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderInput

    protected void renderInput(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`